Bug 203146 - ESC does not recognize multiple USB Keys
Summary: ESC does not recognize multiple USB Keys
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ifd-egate (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bob Relyea
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181509
TreeView+ depends on / blocked
 
Reported: 2006-08-18 16:36 UTC by Jack Magne
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 14:54:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Magne 2006-08-18 16:36:22 UTC
Description of problem:

On my FC5 system ESC can not recognize 2 or more simultaneous 
USB security keys. ESC is not receiving notification of the insertion
event of the second attempted key.

The guess is this problem is taking place at the "coolkey" level
or below on the system.


Version-Release number of selected component (if applicable):

esc-1.0.0

Support rpms in place:

coolkey-1.0.-2
pcsc-lite-1.3.1.1
ifd-egate-0.05-13




How reproducible:

Always

Steps to Reproduce:
1. Launch ESC
2. Place one USB key into system, everything is fine
3. Place another USB key into system, second one is not recognized
4. Take both keys out. Then system can accept keys again.
  
Actual results:
Only one key can be shown at a time by ESC.

Expected results:
ESC should be able to recognize multiple keys.

Additional info:

Comment 1 Bob Relyea 2006-09-13 00:11:34 UTC
The problem was in ifd-egate on Linux. Fixed in ifd-egate-0_05-14

Comment 5 Jay Turner 2006-11-13 14:54:44 UTC
Closing out as included in latest RHEL5 builds (20061111.0)


Note You need to log in before you can comment on or make changes to this bug.